> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Orders

The B2B Server to Server Orders API allows you to retrieve order information and update B2B-specific details like Purchase Order (PO) number and extra fields. You can also assign pre-existing orders to a Company account, ensuring that buyers can access their orders placed prior to B2B Company registration.

Note that this resource does **not** allow you to create new orders, update an order's basic information, or add attributes like shipments and order-level fees. Use the BigCommerce [Orders V2 API](/developer/api-reference/rest/admin/management/orders) to handle these tasks in your integration.

When using B2B Orders endpoints to retrieve or update specific orders, use the **BigCommerce Order ID** as the unique identifier. The **B2B Edition Order ID**, presented as the `id` value of certain B2B Orders responses, is not a supported identifier for the `bcOrderId` field.

The `statusCode` field in some endpoint responses is the unique identifier assigned to each BigCommerce order status. To learn more about order statuses and their corresponding codes, see [Order Statuses](/developer/api-reference/rest/admin/management/orders/order-status).

## Legacy Extra Fields

The response body of certain endpoints, such as [Get All Orders](#get-all-orders) and [Create an Order](/developer/api-reference/rest/b2b/management/orders/post-orders), include the following legacy Company extra fields used by older stores:

* `extraInt1`
* `extraInt2`
* `extraInt3`
* `extraInt4`
* `extraInt5`
* `extraStr1`
* `extraStr2`
* `extraStr3`
* `extraStr4`
* `extraStr5`
* `extraText`

These fields return `null` values in newer stores. We recommend using the [Get Company Extra Fields](/developer/api-reference/rest/b2b/storefront/company/companies/get-companies-extra-fields-storefront) endpoint to retrieve Company extra field information.

## USD Currency Conversion

The `usdIncTax` field converts the order's total price from the currency it was placed into USD, even if you do not offer USD as a transactional currency. The following endpoints include the field in their response body:

* [Get All Orders](#get-all-orders)
* [Create an Order](/developer/api-reference/rest/b2b/management/orders/post-orders)
* [Get an Order](/developer/api-reference/rest/b2b/management/orders/get-orders-order-id)
* [Update an Order](/developer/api-reference/rest/b2b/management/orders/put-orders-order-id)